Page MenuHomePhabricator

Turn bulk editor into a generic piece of EditEngine infrastructure with Custom Field support
Closed, ResolvedPublic

Description

Several open issues with the batch editor:

  • T10005 - Should switch to EditEngine.
  • T5689 / PHI173 - Custom field support.
  • T11286 / PHI50 - Modifying the edit set.
  • T4675 - Policy support, but good luck on rendering this control on the client.
  • T10973 - Points support.

Technical stuff:

  • T10268 - URI byte limit for large batch edits, should use query / ApplicationSearch syntax to identify result sets instead.

Bugs:

  • T8740 - Is this really a bug?
  • T12415 - Poor rendering of "Add Comment" (but client rendering of a Remarkup area is probably a gigantic mess?)

Event Timeline

epriestley triaged this task as Normal priority.Nov 28 2017, 5:14 PM
epriestley created this task.
epriestley renamed this task from Update batch editor to Update bulk editor.Nov 30 2017, 3:23 PM
epriestley closed this task as Resolved.Jan 26 2018, 6:17 PM

T4675 survives this, because rendering policy controls on the client is very complicated.

In a similar vein, edits to remarkup fields do not use a full control (with bold, italic, etc., buttons) because rendering remarkup controls on the client is somewhat complicated and submitting bulk edits with large amounts of complex text is probably bad most of the time. This is probably not too difficult to overcome (inline comments in Differential already do it to some degree) but seems lower-value.

Not all custom field types are supported, but field types which we've seen requests for are. Additional support is usually straightforward as use cases arise.

The code anticipates working with truly enormous query sets (e.g., millions of objects) but currently always shows the full list on-page, so it will break down at some point. We can scale this up ("This edit affects more than 10K objects so you can not browse or filter individual items from the result set. All items will be affected by the edit.") when someone hits the effective limit. All parts of the pipeline except the "click some checkboxes" UI in the web should scale through this gracefully.

epriestley renamed this task from Update bulk editor to Turn bulk editor into a generic piece of EditEngine infrastructure with Custom Field support.Jan 26 2018, 6:18 PM